#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include "plotp.h"
#import  <appkit/color.h>
#import  <dpsclient/psops.h>

#define  NX   35
#define  NY   35
double  WY[NX][NY], WA[NX][NY];

void senc()
{
  int     i, j, nci;
  double  x, y, xmi, xma, ymi, yma;
  double  z, w, zmi, zma, zi, za, dx, dy;
  struct  complex cx, cw;
  char    bu[] ={"Superficie y contornos de abs(w) y arg(w), w=sen(z),z=a+bi"};
  char    bin[60];
  xmi     = -4.8;       xma = 4.8;
  ymi     = -2.0;       yma = 2.0;


    dx   = fabs(xma-xmi)/(double) (NX-1);
    dy   = fabs(yma-ymi)/(double) (NY-1);

    cw   = cmplx(xmi, ymi);
    cx   = acsin(cw);
    zmi  = cabs(cx);
    zi   = acarc(cx);
    zma  = zmi;
    za   = zi;
    y    = ymi;
    for(i=0; i < NY; i++) {
	x = xma;
	for(j=0; j < NX; j++) {
	    cx = cmplx(x, y);
	    cw = acsin(cx);
	    z  = cabs(cw);
	    w  = acarc(cw);
	    WY[i][j] = (double) z;
	    WA[i][j] = (double) w;
	    zmi = (zmi > z) ? z   : zmi;
	    zma = (zma > z) ? zma : z;
	    zi  = (zi  > w) ? w   : zi;
	    za  = (za  > w) ? za  : w;
	    x  -= dx;
	}
	y += dy;
    }
    x   = fabs(zma-zmi)/8.0;
    y   = fabs(za - zi)/8.0;
    zmi = zmi - x;     zma = zma + x;
    zi  = zi  - y;     za  = za  + y;

    pltdk(7);
    plt00();
    plotz("V1 ",3);                           /* DMP-29  */
    pltfr(1);
   plot(2.0,  0.5, UP);                             /*   Marco Superior  */
   plot(-2.0, 0.5, DOWN);      plot(-2.0, 4.5, DOWN);
   plot(2.0,  4.5, DOWN);      plot(2.0,  0.5, DOWN);

   plot(2.0,  -0.5, UP);                            /*   Marco Inferior */
   plot(2.0,  -4.5, DOWN);     plot(-2.0, -4.5, DOWN);
   plot(-2.0, -0.5, DOWN);     plot(2.0,  -0.5, DOWN);
   NXSetColor(NX_COLORBLACK);
   PSstroke();

   pltso(1.95, 1.95, 0.0,  2.5);
   pltrv(zmi, &WY[0][0], zma, NX, NY, -15.0, pltca);
   NXSetColor(NX_COLORBLUE);
   PSstroke();
   plotr();
                                                            

   pltso(1.95, 1.95, 0.0, -2.5);
   pltkp(zmi, &WY[0][0], zma, 20, (NX/64+1), NX, (NY/64+1), NY, pltca);
   NXSetColor(NX_COLORBLUE);
   PSstroke();
   plotz("P2 ",3);
   pltkc(zi,  &WA[0][0], za,  20, (NX/64+1), NX, (NY/64+1), NY, pltca);
   NXSetColor(NX_COLORRED);
   PSstroke();
   plotr();
   nci = pltgi(bin, xmi, 'X', xma, ymi, 'I', yma);
   pltlla(bu, sizeof(bu)-1, bin, nci, 1);
   NXSetColor(NX_COLORBLACK);
   PSstroke();

    pltho();
    pltclose();
 }
