#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include <time.h>
#include "plotp.h"

/*    pltlla.c              Etiquetar una grafica
     Coloca dos letreros en la grafica, uno en la parte superior y otro
     en la parte inferior, tambien se coloca la fecha y la hora.

 texto[]    letrero de la parte superior.
 nct        numero de caracteres en texto[] (max. 58 o 69 depende de la forma)
 inter[]    letrero de la parte inferior.
 nci        numero de caracteres en inter[] (max. 58 o 69 depende de la forma)
 m          tipo de marco que se emplea, 1, 2, 3, 4, 5, o 6.
            J.P.H.E.     NeXSTEP   6 OCT 1997
*/

void pltlla(char texto[], int nct, char inter[], int nci, int m)

{
   int    i, l, ite, it, iti;
   double sx,sy;
   char   *cfe;
   time_t t1, t2;
   char  tempo[70], temp1[70], ia  = ' ';
   float tx  =  0.00, ty  =   1.06, th = 0.018;
   float ex  = -0.03, ey  =  -0.03, eh = 0.018;
   float hx  =  0.32, hy  =  -0.07;

   t1  = time(&t2);
   cfe = ctime(&t1);
   cfe+= 4;

   plotl(&sx, &sy, &l);
   ite = 56 - nct;
   if( ite < 0 ) { nct += ite;   ite = 0; }
   ite = (ite/2)+1;
   it  = ite;
   for( i=0; i < ite;  i++) tempo[i] = ia;
   for( i=0; i < nct; i++, ite++) tempo[ite] = texto[i];
   it  += nct;

   ite = 56 - nci;
   if( ite < 0 ) { nci += ite;   ite = 0; }
   ite = (ite/2)+1;
   iti = ite;
   for( i=0; i < ite; i++) temp1[i] = ia;
   for( i=0; i < nci; i++, ite++) temp1[ite] = inter[i];
   iti += nci;

   plttp(tx, ty, -th, tempo, 0.0, it,  1, pltca);
   plttp(ex, ey, -eh, temp1, 0.0, iti, 1, pltca);
   plttp(hx, hy, -eh, cfe,   0.0, 20,  1, pltca);
}
