/*           SUPERFICIES (PLTRV)  y  CONTORNOS (PLTKP)
             [J.P.H.E                        JUN-1993]
*/
#include <stdio.h>
#include <math.h>
#include "plotp.h"
#import  <appkit/color.h>
#import  <dpsclient/psops.h>

#define NX     40 /* Dimension de la matriz de valores para la superficie */
#define NY     40
#define xmi   -4.0                              /* Dominio de la funcion */
#define xma    4.0
#define ymi   -4.0
#define yma    4.0
#define fun(x,y)   sin(2.0*x*x+3.0*y*y)/(x*x+y*y)            /* Funcion */
double  WA[NX][NY];

void suprv2(double ro)
{int    i,   j;
  double dx, dy, zmi, zma, x, y;
  char   in[50];
  char   bu[] = {"Superficie y Contornos"};
  char   bin[] = {"de  z=sin(2.0*x*x+3.0*y*y)/(x*x+y*y)"};
  dx  =  fabs(xma-xmi)/(double)(NX-1);
  dy  =  fabs(yma-ymi)/(double)(NY-1);
  zmi =  fun(xmi, ymi);
  zmi =  (zmi < 0.0) ? 0.0 : zmi;
  zma =  zmi;

  y   = ymi;                   /* Calculo de los valores de la funcion */
  for(i=0 ; i < NX; i++, y += dy)  {
      x = xmi;
      for(j=0 ; j < NY; j++, x += dx) {
         WA[i][j] =  fun(x, y);
          if(WA[i][j] < zmi) zmi=WA[i][j]; /* Calculo del valor min. y max.*/
         if(WA[i][j] > zma) zma=WA[i][j];
      }
  }

  pltdk(7);
  plt00();
  plotz("P1 V1 ",6);
  pltfr(1);
  plot(2.0,  0.5, UP);                             /*   Marco Superior  */
  plot(-2.0, 0.5, DOWN);      plot(-2.0, 4.5, DOWN);
  plot(2.0,  4.5, DOWN);      plot(2.0,  0.5, DOWN);

  plot(2.0,  -0.5, UP);                            /*   Marco Inferior */
  plot(2.0,  -4.5, DOWN);     plot(-2.0, -4.5, DOWN);
  plot(-2.0, -0.5, DOWN);     plot(2.0,  -0.5, DOWN);

  plttp(-1.9, 0.0, -0.11, bin, 0.0, (sizeof(bin) - 1), 1, pltmv);
  i = pltgi(in, xmi, 'X', xma, ymi, 'Y', yma);

 pltlla(bu, (sizeof(bu) - 1), in, i, 1);
  NXSetColor(NX_COLORBLACK);
  PSstroke();

  pltso(2.0, 2.0, 0.0,  2.5);
  pltrv(zmi, &WA[0][0], zma, NX, NY, ro, pltca);
  plotr();
                                                            

  pltso(2.0, 2.0, 0.0, -2.5);

 pltkp(zmi, &WA[0][0], zma, 20, (NX/64+1), NX, (NY/64+1), NY, pltca);
  plotr();
                                                            
  pltho();
  pltclose();
}