#include <math.h>

#include "kon.h"

extern double ZZ[];
extern int    MM[];

void konnc(void)

/*       konnc.c
   [Next Constant]            (Proxima constante)
   Proximo triangulo para el contorno.
   [konnc] selecciona P3 a fin de definir el proximo triangulo a lo
   largo de un contorno constante.
   Se supone cambio de signo entre P1 y p2.
   (H.V.McIntosh, 24.MAY.73)
   (Fco. Gil, 14.ENE.85)
   (Conv. a C, G.Cisneros, 15.JUL.88)
   (Angel Canto, 20.Feb.89)
*/
{
 if (fsgn(ZZ[0]) != fsgn(ZZ[2])) konxv(1,2);
 else { if (fsgn(ZZ[1]) == fsgn(ZZ[2])) return;
        konxv(0,2); };
           MM[4] = MM[0] + MM[2] - MM[4];
           MM[5] = MM[1] + MM[3] - MM[5];
}

/* END: konnc.c */

