#include <math.h>

#include "kon.h"

int     MM[6],NN[6];
double  ZZ[3],WW[3];

long LL[64][2][2] = { 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
		      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};

void konre(void)

/*       konre.c
   [Restore]
   Restaura el primer triangulo.
   (H.V.McIntosh, 14.FEB.74)
   (Fco. Gil, 14.ENE.85)
   (Conv. a C, G.Cisneros 15.JUL.89)
   (Angel Canto, 20.Feb.89)
*/
{
  int i;

  for (i=0 ; i < 3 ; i++)
  {
    MM[i]   = NN[i];
    MM[i+3] = NN[i+3];
    ZZ[i]   = WW[i];
  };
}


void konsa(void)

/*       konre.c
   [SAVE]
   Salva el primer triangulo.
   (H.V.McIntosh, 24.MAY.73)
   (Fco. Gil, 14.ENE.85)
   (Conv. a C, G.Cisneros 15.JUL.88)
   (Angel Canto, 20.Feb.89)
*/
{
  int i;

  for (i=0 ; i < 2 ; i++)
  {
   NN[i]   = MM[i];
   NN[i+2] = MM[i+4];
   NN[i+4] = MM[i+2];
  };
  WW[0] = ZZ[0];
  WW[1] = ZZ[2];
  WW[2] = ZZ[1];
}

/* END: konre.c */

