#include <stdio.h>
#include "../include/plot.h"

void plomt(int ix1, int iy1, int lf1)

/*       plomt.c
   [Convierte los numeros enteros binarios (ix,iy)
    a cadena de caracteres ascii-decimal.]  (graficador HIPLOT).
   Convierte (lf) a:
     si (lf != 0)   ===> "D"
     si (lf == 0)   ===> "U"
    (Fco. Gil, 14.MAY.86)    [F80].
    (Angel Canto, 19.Ene.89) ["C"].
*/
{
  char letras[6],posi[1];

  posi[0] = 'U';
  if (lf1 != 0) posi[0] = 'D';
  plotz(posi, 1);
  sprintf(letras, "%5d", ix1);
  letras[5] = ',';
  plotz(letras, 6);
  sprintf(letras, "%5d", iy1);
  letras[5] = '_';
  plotz(letras, 6);
}
