#include "../include/plotp.h"


void pltbp(double x, double y, double h, char texto[], double theta,
	   int n, void (*graff)(double, double, int))

/*       pltbp.c
   [Boldface symbols]
 (x,y)    Coordenadas del primer caracter, en pulgadas.
  h       Altura de las letras, en pulgadas:
	     Si (h > 0) ==> (X,Y) es el origen del simbolo en
			    la esquina izquierda inferior.
	     Si (h < 0) ==> (X,Y) es el centro del simbolo.
 texto[]  Arreglo donde se encuentran los caracteres del texto,
	  uno por byte. (logico).
 theta    Angulo de rotacion de los caracteres respecto al eje X,
	  en grados.
 n        Numero de caracteres del texto.
 graff    Funcion de conversion de corrdenadas.
   (FRANCISCO GIL, 29-I-85).
   (CONV. A C,G. CISNEROS, 29.6.88)
   (Angel Canto, 21.Ene.89)
*/
{
   plttp(x, y, h, texto, theta, n, 2, graff);
}

/* END: pltbp.c */

