#define UP   0
#define DOWN 1

void pltfm(double x, double y, double r, void (*graff)(double, double, int))

/*       pltfm.c
   [Fiducial mark]
   Marcas de confianza.

   (x,y)  Centro de la marca.
   r      Radio de la marca.
   graff  Funcion de conversion de coordenadas.
   (H.V.McIntosh, 25.ABR.74)
   (Fco. Gil, 6.OCT.85) [F80].
   (Conv. a C, G.Cisneros, 29.JUN.88)
   (Angel Canto, 21.Ene.89)
*/
{
  (*graff)(  x,  y, UP  );
  (*graff)(x-r,  y, DOWN);
  (*graff)(x+r,  y, DOWN);
  (*graff)(  x,  y, DOWN);
  (*graff)(  x,y-r, DOWN);
  (*graff)(  x,y+r, DOWN);
  (*graff)(  x,  y, DOWN);
}
