#include "../include/plotp.h"

void pltle(double x, double y, double h, char texto[], double theta,
	   int n, void (*graff)(double, double, int))

/*       pltle.c
   [Grafica Caracteres]
   Grafica una cadena en caracteres sencillos.

  (x,y)      Coordenadas de la esquina inferior izquierda del primer
	     caracter, en [0,1].
  h          Altura de las letras, en [0,1].
  texto[n]   Arreglo donde se encuentran los caracteres del texto,
	     uno por byte.
  theta      Angulo de rotacion de los caracteres respecto al eje X,
	     en grados.
  n          Numero de caracteres del texto.
  graff      Funcion de conversion de coordenadas.
   (FCO. GIL, 30-I-85).
   (CONV. A C,G. CISNEROS, 29.6.88)
   (Angel Canto, 21.Ene.89)
*/
{
  plttp(x, y, h, texto, theta, n, 1, graff);
}

/* END: pltle.c */

