#include "../include/plot.h"

void pltmv(double x, double y, int mov)

/*       pltmv.c
   [BASIC PEN MOVEMENT]
    Considera que (x, y) son en pulgadas, para trazar
    checa la forma de la grafica, normal o rotada.
    Es usada en las rutinas de graficacion de letras.
    mov (Pluma arriba o pluma abajo).
   (Fco. Gil, 14.ENE.85) [F80].
   (Conv.a C, G.Cisneros, 29.JUN.88)
   (Angel Canto, 21.Ene.89)
*/
{
  int    lf;
  double sx,sy;

  plotl(&sx, &sy, &lf);
  (lf) ? plot(-y, x,mov) : plot( x, y,mov);
}

/* END: pltmv.c */

