/*           UNIVERSIDAD AUTONOMA DE PUEBLA
     DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS
    ESPIRAL (Graficas planas en coordenadas polares)
		[J.P.H.E   JUN-1993]
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <ctype.h>
#include <alloc.h>
#include "..\include\plotp.h"
#define  NP   4000
#define  NG   10

main()
{
   double *te, *ro;
   double tmi =  0.0, tma = 6.2815, t, dt;
   double rmi =  0.0, rma = 20.0,      r, dr;
   double zmi,        zma;
   int    i;
   char   in[50];
   char   bu[60] = {"ESPIRAL  (Graficas planas en coordenadas polares)"};

   te = (double *)farmalloc( sizeof(double) * (long) NP);
   ro = (double *)farmalloc( sizeof(double) * (long) NP);

   if( te==NULL || ro==NULL){
      printf("\nError falta memoria (far)\n");
      exit(1);
      }

   dt  = fabs(tma-tmi)/(double) (NP-1);
   dr  = fabs(rma-rmi)/(double) (NP-1);

   t   = tmi;
   r   = rmi;
   for(i = 0; i < NP; i++) {
       te[i]  =  t;    t += dt;
       ro[i]  =  r;    r += dr;
   }
   dr = fabs(rma-rmi)/10.0;
   r  = rma + dr;

   pltdk(2); /* Determina dispositivo de salida (VGA) */
   plt00();
   plotz("P1 V1 ", 6);
   plotf(-1);
   pltfr(6);
   pltso(3.1, 3.1, 0.0, 0.0);
   pltga(tmi, &te[0], tma/(double) NG, rmi, &ro[0], r, NP, pltpo);
   i = pltgi(in, tmi, 'T', tma, rmi, 'R', rma);
   pltlla(bu, 49, in, i, 6);
   pltho();
   closeplt();
}
