/*   DEM19S
     H.V.M.    21-MAY-1975          A.B.C.G.     1992 */

#include <math.h>
#include "plotp.h"

#define  NT  45
#define  NP  90

  double  O1[3][3];
  double  EF[NP][NT];


main(void)
{
   int     i, j;
   double  s, dt, dp, t, p, tf, pf, ra;
   char    bu[]  = {"Funcion de onda tetraedrica"};
   char    in[2];

   s = -1.0;
   plteu(&O1[0][0], 10.0, -60.0, 10.0);

   dt = 3.14159 / (double)(NT-1);
   dp = 6.28318 / (double)(NP);
   t  = 3.14159;

   for(i = 0 ; i < NT ; i++) {
       p  = 0.475;
       for (j = 0 ; j < NP ; j++) {
	    tf = 0.67 * (1.0 + 0.5*cos(3.0*t) + s*0.1667*cos(9.0*t) );
	    pf = 0.67 * (1.0 + 0.5*sin(3.0*p) - s*0.1667*sin(9.0*p) );
	    ra = tf*pf*0.95;
	    EF[j][i] = ra;
	    p += dp;
       }
       t -= dt;
   }

   pltdk(5);
   plt00();
 /*  plotz("P1 V1 ",6);*/
   pltfr(6);
   pltso( 3.00, 3.00, 0.00, 0.00);
   plotf(-1);

   pltsv(&EF[0][0], NP, NT, 1.0, &O1[0][0], vissp, pltpo);

   pltlla(bu, 27, in, 0, 6);
   pltho();
   pltclose();
}
/* END: dem19s.c */
