/*  CONTORNOS (PLTKP) y RELIEVE ORTOGRAFICO (PLTOR)
	     [J.P.H.E   JUL-1993]
*/
#include <stdio.h>
#include <math.h>
#include "plotp.h"
#import   <appkit/color.h>
#import  <dpsclient/psops.h>

#define NX       80
#define NY       80
#define xmi     -2.5
#define xma      2.5
#define ymi     -2.5
#define yma      2.5
#define fun(x,y) cos(x*y)

double  WA[NX][NY];

void dem2()
{int    i,j;
 double dx, dy, zmi, zma, x, y;
 char   in[50];
 char   bin[] = {"Contornos y Relieve Ortografico de  z = cos(x*y)"};
 char   bu[] = {"Superficie de  z = cos(x*y)"};

 dx = fabs(xma-xmi)/(double)(NX-1);
 dy = fabs(yma-ymi)/(double)(NY-1);
 zmi = fun(xmi, ymi);
 zmi = (zmi < 0.0) ? 0.0 : zmi;
 zma = zmi;

 y   = ymi;
 for(i=0 ; i < NX; i++)  {
      x = xmi;
      for (j=0 ; j < NY; j++) {
	   WA[i][j] =  fun(x, y);
	   if(WA[i][j] < zmi) zmi=WA[i][j];
	   if(WA[i][j] > zma) zma=WA[i][j];
	   x += dx;
      }
      y += dy;
 }
 dx = fabs(zma-zmi)/8.0;
 x  = zmi - dx;    y = zma + dx;

  pltdk(7);
  plt00();
  plotz("P1 V1 ",6);
  pltfr(1);
  plot(2.0,  0.5, UP);                             /*   Marco Superior  */
  plot(-2.0, 0.5, DOWN);      plot(-2.0, 4.5, DOWN);
  plot(2.0,  4.5, DOWN);      plot(2.0,  0.5, DOWN);

  plot(2.0,  -0.5, UP);                            /*   Marco Inferior */
  plot(2.0,  -4.5, DOWN);     plot(-2.0, -4.5, DOWN);
  plot(-2.0, -0.5, DOWN);     plot(2.0,  -0.5, DOWN);

  plttp(-2.5, 0.0, -0.11, bin, 0.0, (sizeof(bin) - 1), 1, pltmv);
  i = pltgi(in, xmi, 'X', xma, ymi, 'Y', yma);

 pltlla(bu, (sizeof(bu) - 1), in, i, 1);
  NXSetColor(NX_COLORBLACK);
  PSstroke();

  pltso(2.0, 2.0, 0.0,  2.5);
  pltrv(x, &WA[0][0], y, NX, NY, 10.0, pltca);
  plotr();
                                                            


  pltso(2.0, 2.0, 0.0,  -2.5);
  pltkp(x, &WA[0][0], y, 15, (NX/64+1), NX, (NY/64+1), NY, pltca);
  NXSetColor(NX_COLORBLUE);
  PSstroke();
  plotz("P2 ",3);
  pltor(x, &WA[0][0], y, 40, (NX/64+1), NX, (NY/64+1), NY, pltca);
  NXSetColor(NX_COLORRED);
  PSstroke();
  plotz("P1 ",3);
  plotr();
                                                            

  pltho();
  pltclose();
}
