#include <stdio.h>
#include <math.h>
#include "plotp.h"
#import  <appkit/color.h>
#import  <dpsclient/psops.h>

#define NX     37      /*Dimension de las matrices de valores para la super. */
#define NY     18
#define xmi   -3.1415
#define xma    3.1415
#define ymi   -3.0
#define yma    3.0

 double WA[NX][NY], WB[NX][NY], WC[NX][NY];

void sutri1()
{
 int    i,j;
 double dx, dy, zmi, zma, x, y;
 char   in[50];
 char   bu[] = {"Triple Superficie z = sen(x), z = cos(x) , z = x*x - y*y"};

 dx  = (xma-xmi)/(double)(NX-1);
 dy  = (yma-ymi)/(double)(NY-1);
 zmi = 3.0*sin(xmi);
 zma = zmi;

 x   = xmi;
 for(i=0 ; i < NX; i++)  {
      y = yma;
      for (j=0 ; j < NY; j++) {
	   WA[i][j] =  3.0*sin(x);
	   WB[i][j] =  x*x - y*y;
	   WC[i][j] =  3.0*cos(x);
	   if(WA[i][j] < zmi) zmi=WA[i][j];
	   if(WA[i][j] > zma) zma=WA[i][j];
	   if(WB[i][j] < zmi) zmi=WB[i][j];
	   if(WB[i][j] > zma) zma=WB[i][j];
	   if(WC[i][j] < zmi) zmi=WC[i][j];
	   if(WC[i][j] > zma) zma=WC[i][j];
	   y -= dy;
      }
      x += dx;
 }
 dx = fabs(zma-zmi)/10.0;
 x  = zmi - dx;    y = zma + dx;

 pltdk(7);
 plt00();
 plotz("P1 V1 ",6);
 pltfr(1);
 plotz("P1 V1 ",6);
 plot(2.0,  0.5, UP);                             /*   Marco Superior  */
 plot(-2.0, 0.5, DOWN);      plot(-2.0, 4.5, DOWN);
 plot(2.0,  4.5, DOWN);      plot(2.0,  0.5, DOWN);

 plot(2.0,  -0.5, UP);                            /*   Marco Inferior */
 plot(2.0,  -4.5, DOWN);     plot(-2.0, -4.5, DOWN);
 plot(-2.0, -0.5, DOWN);     plot(2.0,  -0.5, DOWN);

 i = pltgi(in, xmi, 'X', xma, ymi, 'Y', yma);

pltlla(bu, (sizeof(bu) - 1), bu, 0, 1);
 NXSetColor(NX_COLORBLACK);
 PSstroke();

 pltso(2.0, 2.0, 0.0,  2.5);
 vistr(x,&WA[0][0],&WB[0][0],&WC[0][0],y,NX,NX,NY,NY,0.08,0.08,0.0,1,-1,pltca);
 plotr();
                                                            

 plotz("P1 ",3);                      /*  de color azul */
 pltso(2.0, 2.0, 0.0,  -2.5);
 vistr(x,&WA[0][0],&WB[0][0],&WC[0][0],y,NX,NX,NY,NY,0.08,0.08,0.0,1,1, pltca);
 NXSetColor(NX_COLORBLUE);
 PSstroke();
 plotr();
 pltho();
 pltclose();
}
