#include <stdio.h>
#include <math.h>
#include "plotp.h"

#define NX     37
   /*Dimension de las matrices de valores para la super. */
#define NY     18
#define xmi   -6.280
    /* Calculamos los valores de cada funcion con el */
#define xma    3.142
    /* mismo dominio. Aunque el dominio de cada fun- */
#define ymi   -3.0
      /* cion puede ser diferente.                     */
#define yma    3.0

  double WA[NX][NY], WB[NX][NY], WC[NX][NY];

void sutri2()
{
  int    i,j;
  double dx, dy, zmi, zma, x, y;
  char   in[50];
  char   bu[] = {"Triple Superficie z = sen(x), z = cos(x) , z = 0.0"};

  dx  = (xma-xmi)/(double)(NX-1);
  dy  = (yma-ymi)/(double)(NY-1);
  zmi = sin(xmi);
  zma = zmi;

  x   = xmi;
                /* Calculo de los valores de las superficies */
  for(i=0 ; i < NX; i++)  {
      y = yma;
      for (j=0 ; j < NY; j++) {

	   WA[i][j] =  sin(x);
	   WB[i][j] =  0.0;
	   WC[i][j] =  cos(x);

	   if(WA[i][j] < zmi) zmi=WA[i][j];
 /* Calculo del valor maximo y */
	   if(WA[i][j] > zma) zma=WA[i][j];
 /* del valor minimo           */
	   if(WB[i][j] < zmi) zmi=WB[i][j];
	   if(WB[i][j] > zma) zma=WB[i][j];
	   if(WC[i][j] < zmi) zmi=WC[i][j];
	   if(WC[i][j] > zma) zma=WC[i][j];
	   y -= dy;
      }
      x += dx;
  }
  dx = fabs(zma-zmi)/8.0;
              /* Ajuste del valor maximo y minimo */
  x  = zmi - dx;    y = zma + dx;


  pltdk(7);
  plt00();
  plotz("P1 V1 ",6);
  pltfr(3);
  pltso(3.1, 3.1, 0.0, 0.0);

  vistr(x,&WA[0][0],&WB[0][0],&WC[0][0],y,NX,NX,NY,NY,0.1,0.1,0.0,1,-1,pltca);

  i = pltgi(in, xmi, 'X', xma, ymi, 'Y', yma);
  pltlla(bu, (sizeof(bu) - 1), in, 0, 3);
  pltho();
  pltclose();
}
