/*   SUPERFICIES DESDE DATOS EN UN ARCHIVO
          [J.P.H.E         JUNIO-1993]
*/
#include <stdio.h>
#include <math.h>
#include "plotp.h"
#import  <appkit/color.h>
#import  <dpsclient/psops.h>

#define   NR   15         /* Dimension de la matriz y de los datos */
#define   NC   7

double   m[NR][NC];       /* Matriz en la que se almacenan los datos */

/*     Leer valores de la matriz
       Devuelve el valor minimo y el valor maximo de los 
       valores leidos del archivo                             */

void lvm(double *mmi, double *mma, int nr, int nc, FILE *fp)
{   int    i, j;
    double vr, vmi, vma;

    for( i=0; i < nr; i++ )
	for( j=0; j < nc; j++ ) {
            fscanf(fp,"%lf", &vr);
            m[i][j] = vr;
	}
    vmi = m[0][0];
    vma = vmi;
    for( i=0; i < nr; i++ )
	for( j=0; j < nc; j++ ) {
            vmi = (vmi > m[i][j]) ? m[i][j] : vmi;
            vma = (vma < m[i][j]) ? m[i][j] : vma;
	}
    *mmi = vmi;      *mma = vma;
}


void sdaar(double ro)
{
   double x, y, dx;
   double zmin,     zmax;
   int    nr,       nc;
   char   in[5];
   char   bu0[] = {"Datos desde un archivo"};
   char   bu1[] = {"Vista suroeste"};
   char   bu2[] = {"Vista sureste"};
   char   bu3[] = {"Vista con rotacion RO = -30 G"};
   char   bu4[] = {"Vista con rotacion RO = 30 G"};
   FILE   *fpi;

   fpi   = fopen("/Users/jose/esf/sdasu","r");
   if(fpi ==NULL) { printf("\nERROR, No puedo abrir el archivo de ent.\n");
	           return; }
                   /* El primer renglon del archivo tiene su dimension  */ 
   fscanf(fpi,"%d %d",&nr, &nc);
  
   lvm(&zmin, &zmax, nr, nc, fpi);


   dx  = fabs(zmax-zmin)/10.0;  /* Ajuste de los valores maximo y minimo */
   x   = zmin - dx;    y = zmax + dx;

   pltdk(7);
   plt00();

  pltfr(1);
  plot( 3.6, 0.1, UP);                             /* Marco Superior D */
  plot( 0.1, 0.1, DOWN);    plot( 0.1, 3.6, DOWN);
  plot( 3.6, 3.6, DOWN);    plot( 3.6, 0.1, DOWN);
  plot(-0.1, 0.1, UP);                             /* Marco Superior I */
  plot(-3.6, 0.1, DOWN);    plot(-3.6, 3.6, DOWN);
  plot(-0.1, 3.6, DOWN);    plot(-0.1, 0.1, DOWN);

  plot( 3.6, -0.1, UP);                            /* Marco Inferior  D */
  plot( 0.1, -0.1, DOWN);    plot( 0.1, -3.6, DOWN);
  plot( 3.6, -3.6, DOWN);    plot( 3.6, -0.1, DOWN);
  plot(-0.1, -0.1, UP);                            /* Marco Inferior  I */
  plot(-3.6, -0.1, DOWN);    plot(-3.6, -3.6, DOWN);
  plot(-0.1, -3.6, DOWN);    plot(-0.1, -0.1, DOWN);

  pltso(1.75, 1.75, -1.85,  1.85);
  visnh();
  visds(x, &m[0][0], y, 1, NR, NR, 1, NC, NC, 0.25, 0.25, 1, 1, pltca);
  plotr();

  pltso(1.75, 1.75,  1.85,  1.85);
  visnh();
  visds(x, &m[0][0], y, 1, NR, NR, 1, NC, NC, 0.25, 0.25, -1, 1, pltca);
  plotr();

  pltso(1.75, 1.75, -1.85,  -1.85);
  pltrv(x, &m[0][0], y, NR, NC, -30, pltca);
  plotr();

  pltso(1.75, 1.75, 1.85,  -1.85);
  pltrv(x, &m[0][0], y, NR, NC, 30, pltca);
  plotr();

  plttp(-2.5,  4.0, -0.1, bu1, 0.0, (sizeof(bu1)-1), 1, pltmv);
  plttp( 1.0,  4.0, -0.1, bu2, 0.0, (sizeof(bu2)-1), 1, pltmv);
  plttp(-3.2, -4.0, -0.1, bu3, 0.0, (sizeof(bu3)-1), 1, pltmv);
  plttp( 0.4, -4.0, -0.1, bu4, 0.0, (sizeof(bu4)-1), 1, pltmv);

   pltlla(bu0, sizeof(bu0)-1, in, 0, 3);
   NXSetColor(NX_COLORBLACK);
   PSstroke();
   pltho();
   pltclose();
}