/*

--------------------------------------------------------------------------
                             plotp.h
--------------------------------------------------------------------------

                    FUNCIONES Y PARAMETROS [PLOT90c].
                  BASICAS, INICIALIZACION DE COORDENADAS, 
                         CONTORNOS Y SUPERFICIES.

*/

#ifndef UP
#define UP  0
#endif

#ifndef DOWN
#define DOWN 1
#endif

#ifndef __PLOTP_H
#define __PLOTP_H

void   plot(double, double, int);
void   plots(double, double);
void   plotr(void);
void   plotp(void);
void   ploto(void);
void   plotl(double *, double *, int *);
void   ploti(void);
void   plotg(double);
void   plotf(int );
void   plomt(int, int, int);
void   plomtc(int, int, int);
void   pltdk(int);
void   line(int, int, int, int, int);
void   pointv(int, int, int);
void   plotz(char *, int );
void   pltclose(void);
void   closeplt(void);
void   pltfr(int);
void   plt00(void);
void   pltej(void);
void   pltho(void);
void   pltcolor(int);
void   pltpalette(int, int);
void   pltmt(double *, double *, int *, double *, double *, int *, 
             int *);
void   pltma(double *, double *, double, double);
void   pltme(double, double, double, double);
void   pltms(double, double, int);
void   pltmc(double, double, int);
void   pltca(double , double , int);
void   pltcas(double , double , int);
void   pltcc(double , double , int);
void   pltmv(double, double, int);
void   pltga(double, double *, double, double, double *, double, int,
	     void (*)(double, double, int));
void   pltgd(double, double *, double, double, double *, double, int,
	     void (*)(double, double, int));
void   plttp(double, double, double, char *, double, int, int,
	     void (*)(double, double, int));
void   pltla(char *, int);
int    pltgi(char *, double, char, double, double, char, double);
void   pltlla(char *, int, char *, int, int);
void   pltle(double, double, double, char *, double, int, void (*)(double, double, int));
void   pltbp(double, double, double, char *, double, int, void (*)(double, double, int));
void   pltts(double, double, double, char *, double, int, int);
void   pltso(double, double, double, double);
void   pltig(double, double, int, void (*)(double, double, int));
void   pltfm(double, double, double, void (*)(double, double, int));
void   pltpo(double, double, int);
void   pltel(double, double, int);
void   pltsp(double, double, int);
void   plttr(double, double, int);
void   pltfi(double, double *, double, int, void (*)(double, double, int));
void   pltnu(double, double, double, double, double, int, void (*)(double, double, int));
void   symbol(double, double, double, char *, double, int);
void   pltsb(double, double, double, char *, double, int);
void   number(double, double, double, double, double, int);
void   konre(void);
void   pltil(double, double, double, double, double, double,
	     void (*)(double, double, int));
void   pltkx(double, double *, double, int, int, void (*)(double, double, int));
void   pltky(double, double *, double, int, int, void (*)(double, double, int));
void   pltkp(double, double *, double, int, int, int, int, int,
	     void (*)(double, double, int));
void   pltkc(double, double *, double, int, int, int, int, int,
	     void (*)(double, double, int));
void   pltor(double, double *, double, int, int, int, int, int,
	     void (*)(double, double, int));
void   plteu(double *, double, double, double);
void   konxv(int, int);
void   konnc(void);
void   konsa(void);
void   konit(int, int, int);
void   konsc(double, int, int, int, int, double *, int, int,
	     void (*)(double, double, int));
void   konoc(double, double, double, int, int, int, int, double *,
	     int, int, void (*)(double, double, int));
int    konmn(int, int);
int    konmx(int, int);
double konzp(int, int, double);
double fsgn(double);
void  pviiv(double, double *, double, int, int, double, double,
	    double, void (*)(double, double, int));
void  pvisw(double, double *, double, int, int, double, void (*)(double, double, int));
void  pvise(double, double *, double, int, int, double, void (*)(double, double, int));
void  pvids(double, double *, double, int, int, int, int, int, int,
	    int, int, int, int, double, void (*)(double, double, int));
void  pviis(double, double *, double, int, int, int, int, int, int,
	    double *, double, void (*)(double, double, int));
void  pvviv(double, double *, double, int, int, double, double, double,
	    void (*)(double, double, int));
void  pvvsw(double,  double *, double, int, int, double, void (*)(double, double, int));
void  pvvse(double, double *, double, int, int, double, void (*)(double, double, int));
void  pvvds(double, double *, double, int, int, int, int, int, int,
	    double, double, int, int, double, void (*)(double, double, int));
void  pvvis(double, double *, double, int, int, int, int, int, int,
	    double *, double, void (*)(double, double, int));
void  pltiv(double, double *, double, int, int, double, double,
	    void (*)(double, double, int));
void  pltrv(double, double *, double, int, int, double, void (*)(double, double, int));
void  pltsv(double *, int, int, double, double *, void (*)( double*,  double*,  double,  double,  double,  double *),
	    void (*)(double, double, int));
void  pltpv(double, double *, double, int, int, void (*)(double, double, int));
void  plttv(double, double *, double, int, int, void (*)(double, double, int));
void  pltev(double, double *, double, int, int, void (*)(double, double, int));
void  visdo(double, double *, double *, double, int, int, int, int,
	    double, double, double, int, int, void (*)(double, double, int));
void  vistr(double, double *, double *, double *, double, int, int,
	    int, int, double, double, double, int, int, void (*)(double, double, int));
void  visds(double, double *, double, int, int, int, int, int, int,
	    double, double, int, int, void (*)(double, double, int));
void  visis(double, double *, double, int, int, int, int, int, int,
	    double *, void (*)(double, double, int));
void  visrs(double, double *, double, int, int, int, int, double,
	    void (*)(double, double, int));
void  vissp(double*,  double*,  double,  double,  double,  double *);
void  visps(double, double *, double, double, double, int, double,
	    double, int, int, int, void (*)(double, double, int));
void  vists(double, double *, double, int, int, void (*)(double, double, int));
void  vises(double, double *, double, double, double, int, double,
	    double, int, int, int, void (*)(double, double, int));
void  visnp(double*, double*, int*, int*, int, int, double *);
void  visss(double *, int, int, int, int, int, int, int, int, double,
	    int, double, double *, void (*)(double, double, int), void (*)(double, double, int));
void  vishh(double *, double *, double *, int *, double *, double *,
	    int, int, void (*)(double, double, int));
void  visch(double *, double *, int *, int, int, void (*)(double, double, int));
void  visho(double *, double *, int, int, void (*)(double, double, int));
void  visbo(double *,double *, double *, double *, double *, double *,
	    double *, double *, int *, int, int, void (*)(double, double, int));
void  visnh(void);
void  visrb(double *, double *, int*, int, double *, double *, int,
	    double *, double *, int, double);
int    sgn(int);
int    visbd(int, int, int);
double visli(double, double *, double *, int);
double vissl(double, double, double *, double *, int);

/*
                    FUNCIONES Y PARAMETROS [PLOT90c]
                           NUMEROS COMPLEJOS
*/


struct complex{ double x, y; };

struct  complex cmplx(double x, double y);
struct  complex acneg(struct complex nc);
struct  complex acsum(struct complex c1, struct complex c2);
struct  complex acmul(struct complex c1, struct complex c2);
struct  complex acdiv(struct complex c1, struct complex c2);
double  acabs(struct complex nc);
double  acarc(struct complex z);
struct  complex acsqrt(struct complex nc);
struct  complex acsin(struct complex z);
struct  complex accos(struct complex z);
struct  complex acexp(struct complex nc);
struct  complex acsinh(struct complex z);
struct  complex accosh(struct complex z);
struct  complex aclog(struct complex nc);

#endif
