#include "kon.h"

extern double ZZ[];
extern int    MM[];

void konxv(int i, int j)

/*       konxv.c
   [Exchange vertex]
   Intercambio de vertices.
   konxv(i,j) intercambia los vertices i y j del triangulo fundamental.
   (H.V.McIntosh, 24.MAY.73)
   (Fco. Gil, 14.ENE.85)
   (Conv. a C, G.Cisneros, 15.JUL.88)
   (Angel Canto, 20.Feb.89)
*/
{
  int l,n;
  double t;

  t     = ZZ[i];
  ZZ[i] = ZZ[j];
  ZZ[j] = t;

  j += j;
  i += i;
  for (l=0 ; l < 2 ; l++ )
  {
   j += l ; i += l ;
   n     = MM[i];
   MM[i] = MM[j];
   MM[j] = n;
  }
}

/* END: konxv.c */

