/*         UNIVERSIDAD AUTONOMA DE PUEBLA
   DEPARTAMENTO DE APLICACION DE MICROCOMPUTADORAS
	CURVA BOWDITCH O CURVA DE LISSAJOUS
	    [J.P.H.E   JUN-1993]
*/

#include  <stdio.h>
#include  <math.h>
#include  "../include/plotp.h"


/* Solicita del usuario, los parametros D, N y L.
   La ecuacion de la curva es  X = 9.0*SIN(N*T+D),   Y = 8.0*SIN(T)
   La curva Bowditch es cerrada, L se emplea para cerrarla, los
   valores mas comunes para L son: 1.0, 2.0, 3.0, 4.0, 5.0, 6.0.
*/

main()
{
     double VX[750], VY[750], T, DT, D, N, L;
     int    I;
     char   in[]={"X=9*SEN(N*T+D), Y=8*SEN(T), N=3.1415, D=0.25, L=5"};
     char   bu[]={"Curva Bowditch o la curva de Lissajous"};
     for( ; ; ) {
	 printf("\n\n\n\n       CURVA BOWDITCH\n\n");
	 printf("      Parametro D  = ");
	 scanf("%lf", &D);
	 printf("      Parametro N  = ");
	 scanf("%lf", &N);
	 printf("      Parametro L  = ");
	 scanf("%lf", &L);
	 T  = 0.0;
	 DT = (L*6.24318)/744.0;
	 for(I = 0; I < 750; I++) {
	     VX[I] = 9.0*sin( N*T+D );
	     VY[I] = 8.0*sin(T);
	     T  = T + DT;
	 }
	 I = getchar();

	 pltdk(5);  /* Define dispositivo de salida CALCOM  */
	 plt00();
	 plotf(-1);
	 plotz("P1 V1 ",6);
	 pltfr(6);
	 pltso(3.1, 3.1, 0.0, 0.0);
	 pltga(-10.0, VX, 10.0, -9.0, VY, 9.0, 750, pltca);
	 pltlla(bu, 38, in, 49, 6);
	 pltho();
	 I = getchar();
	 closeplt();
     }
}

/* END: lisa.c */

