#include "../include/plot.h"

extern int    DISK;
extern int    XO,YO,FORMA;
extern double SX,SY,FACT;

#define INI_SCALE  3.25
/* Factor de escala para graficador HIPLOT  */
#define GEN_SCALE  100.00     
/* Factor de escala para graficador CALCOMP */
#define SCAL_CALC  1000.00    

    char Ini_Calc[2] = { 0x00, 0x0d};


void ploti(void)

/*       ploti.c
   [Inicializacion del graficador]
    (Fco. Gil, 11.DIC.85)   [F80].
    (Angel Canto, 19.Ene.89) ["C"].
*/
{
    switch (DISK) {
    case 1:
    case 2:
    case 3:
    case 4:
    case 6:
    case 7:  plotz( "UH", 2);
	     XO = YO = FORMA = 0;
	     /* Define escala general para SX y SY.           */
	     SX = SY = INI_SCALE;
	     FACT = GEN_SCALE; /* Escala Inicial = 100.0   */
	     break;

    case 5:  plotz(Ini_Calc,2);
	     XO = YO = FORMA = 0;
	     SX = SY = INI_SCALE;
	     FACT = SCAL_CALC;
	     break;
    default: break;
    }
}
