#include <stdio.h>

int pltgi(char bin[], double xmi, char nx, double xma, 
	  double ymi, char ny, double yma)

/*       pltgi.c
    Genera una cadena de caracteres ASCII de la forma
	3.25 < X < 10.0      -20.0 < Y < 100.0
   tomando los valores desde variables dobles y caracter,
   deposita la cadena en un arreglo y devuelve el numero
   de caracteres de la cadena.

    bin[]   Arreglo en el que se almacena la cadena de caracteres
	    resultante.
    xmi     Valor minimo del primer intervalo.
    nx      Nombre de la variable del primer intervalo.
    xma     Valor maximo del primer intervalo.
    ymi     Valor minimo del segundo intervalo.
    ny      Nombre de la variable del segundo intervalo.
    yma     Valor maximo del segundo intervalo.
   (May-1993, J.P.H.E.)
*/
{   int     nci = 0, ib;
    char    bnf[15];

    sprintf(bnf,"%10.3f",xmi);
    for (ib=0; ib < 10; ib++, nci++)
	 { while( bnf[ib]==0x20 ) ib++;
	   bin[nci] = bnf[ib];  }
    bin[nci++]=0x20; bin[nci++]=0x3C; bin[nci++]=0x20;
    bin[nci++]=nx;   bin[nci++]=0x20; bin[nci++]=0x3C; 
    bin[nci++]=0x20;
    sprintf(bnf,"%10.3f",xma);
    for (ib=0; ib < 10; ib++, nci++)
	 { while( bnf[ib]==0x20 ) ib++;
	   bin[nci] = bnf[ib];  }
    bin[nci++]=0x20; bin[nci++]=0x20; bin[nci++]=0x20;
    sprintf(bnf,"%10.3f",ymi);
    for (ib=0; ib < 10; ib++, nci++)
	 { while( bnf[ib]==0x20 ) ib++;
	   bin[nci] = bnf[ib];  }
    bin[nci++]=0x20; bin[nci++]=0x3C; bin[nci++]=0x20;
    bin[nci++]=ny;   bin[nci++]=0x20; bin[nci++]=0x3C; 
    bin[nci++]=0x20;
    sprintf(bnf,"%10.3f",yma);
    for (ib=0; ib < 10; ib++, nci++)
	 { while( bnf[ib]==0x20 ) ib++;
	   bin[nci] = bnf[ib];  }
    bin[nci] = '\0';
    return --nci;
}
