#include "../include/plot.h"

void pltso(double sx, double sy, double ox, double oy)

/*       pltso.c
   [SCALE AND ORIGEN]  (Escala y Origen)
    Define las escalas de multiplicidad y la posicion del
    origen de la grafica.

 [sx, sy]   Multiplicadores en las direcciones corrientes.
 [ox, oy]   Origen respecto al anterior.
   (Fco. Gil, 6.OCT.83) [F80].
   (Conv. a C, G.Cisneros, 29.JUN.88)
   (Angel Canto, 21.Ene.89)
*/
{
  plot(ox, oy, UP); /* Define el origen guardando el anterior.  */
  plotp();
  ploto();
  plots(sx, sy);    /* Define Escala.                           */
}

/* END: pltso.c */

