#include "vis.h"

void pvise(double Z1, double ZE[], double Z2, int NX, int NY, 
	   double S, void (*pl)())

/*       pvise.c
   [Southeast view]
   Vista sureste. Positivo o negativo distinto color.
   ABS(F(x,y)) es la funcion que se grafica.

   (Z1,Z2)   Rango de los valores de ZE.
   ZE[]      Arreglo con los valores de la funcion.
   NX,NY     Dimension ZE[NX][NY].
   S         S =  1.0, Grafica parte positiva.
	     S = -1.0, Grafica parte negativa.
	     S =  0.0, Grafica toda la superficie.
   pl        Funcion de conversion de coordenadas.
   (H.V.McIntosh, 19.MAY.75)
   (Fco. Gil, 23.DIC.84)
   (Conv. a C, G. Cisneros, 15.JUL.88)
   (Angel Canto, 16.Mar.89)
*/
{
  visnh();
  pvids(Z1, ZE, Z2, 1, NX, NX, 1, NY, NY, 0.2, 0.2, -1, 1, S, pl);
}
